org.jboss.jca.as.tracer

## Class TraceEventHelper

- java.lang.Object
- - org.jboss.jca.as.tracer.TraceEventHelper

-     public class TraceEventHelper
      extends java.lang.Object

  Helper class for TraceEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceEventHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `exceptionDescription(java.lang.String encoded)` Get exception description
    `static java.util.List<org.jboss.jca.core.tracer.TraceEvent>` | `filterCCMEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` Filter the CCM events
    `static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>>` | `filterCCMPoolEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` Filter the CCM pool events
    `static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>>` | `filterLifecycleEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` Filter the lifecycle events
    `static java.util.List<org.jboss.jca.core.tracer.TraceEvent>` | `filterPoolEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` Filter the pool events
    `static TraceEventStatus` | `getCCMPoolStatus(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data, boolean ignoreIncomplete)` Get CCM pool status
    `static TraceEventStatus` | `getCCMStatus(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data, boolean ignoreIncomplete)` Get CCM pool status
    `static java.util.Map<java.lang.String,java.util.List<Interaction>>` | `getConnectionListenerData(java.util.List<Interaction> data)` Get a connection listener map
    `static java.util.List<org.jboss.jca.core.tracer.TraceEvent>` | `getEvents(java.io.FileReader fr, java.io.File directory)` Get the events
    `static java.util.Map<java.lang.String,java.util.List<Interaction>>` | `getPoolData(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data, boolean ignoreDelist, boolean ignoreTracking, boolean ignoreIncomplete)` Get the structured pool data
    `static TraceEventStatus` | `getStatus(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data, boolean ignoreDelist, boolean ignoreTracking, boolean ignoreIncomplete)` Get status
    `static java.util.Map<java.lang.String,TraceEventStatus>` | `getStatus(java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> input, boolean ignoreDelist, boolean ignoreTracking, boolean ignoreIncomplete)` Get status
    `static java.util.Map<java.lang.String,java.util.List<Interaction>>` | `getTransactionData(java.util.List<Interaction> data)` Get a transaction map
    `static org.jboss.jca.core.tracer.TraceEvent` | `getType(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events, int... types)` Get a specific event type
    `static org.jboss.jca.core.tracer.TraceEvent` | `getType(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events, java.lang.String identifier, int... types)` Get a specific event type
    `static org.jboss.jca.core.tracer.TraceEvent` | `getVersion(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events)` Get the version
    `static boolean` | `hasException(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events)` Has an exception event
    `static boolean` | `isEndState(org.jboss.jca.core.tracer.TraceEvent te)` Is end state
    `static boolean` | `isRed(org.jboss.jca.core.tracer.TraceEvent te)` Is red
    `static boolean` | `isStartState(org.jboss.jca.core.tracer.TraceEvent te)` Is start state
    `static boolean` | `isYellow(org.jboss.jca.core.tracer.TraceEvent te)` Is yellow
    `static TraceEventStatus` | `mergeStatus(java.util.Collection<TraceEventStatus> data)` Get status
    `static java.util.Map<java.lang.String,java.util.Set<java.lang.String>>` | `poolManagedConnectionPools(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` Pool to Managed Connection Pools mapping
    `static java.lang.String` | `prettyPrint(org.jboss.jca.core.tracer.TraceEvent te)` Pretty print event
    `static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>>` | `tocConnectionListeners(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` ToC: Connection listeners
    `static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>>` | `tocConnections(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` ToC: Connections
    `static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>>` | `tocManagedConnectionPools(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` ToC: Managed Connection Pools
    `static java.util.Map<java.lang.String,org.jboss.jca.core.tracer.TraceEvent>` | `tocManagedConnections(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)` ToC: Managed connections

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceEventHelper

          public TraceEventHelper()

  - ### Method Detail

    - #### filterPoolEvents

          public static java.util.List<org.jboss.jca.core.tracer.TraceEvent> filterPoolEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                       throws java.lang.Exception

      Filter the pool events
      Parameters:
        `data` - The data
      Returns:
        The filtered events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### filterLifecycleEvents

          public static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> filterLifecycleEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                                            throws java.lang.Exception

      Filter the lifecycle events
      Parameters:
        `data` - The data
      Returns:
        The filtered events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### filterCCMEvents

          public static java.util.List<org.jboss.jca.core.tracer.TraceEvent> filterCCMEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                      throws java.lang.Exception

      Filter the CCM events
      Parameters:
        `data` - The data
      Returns:
        The filtered events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### filterCCMPoolEvents

          public static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> filterCCMPoolEvents(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                                          throws java.lang.Exception

      Filter the CCM pool events
      Parameters:
        `data` - The data
      Returns:
        The filtered events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### poolManagedConnectionPools

          public static java.util.Map<java.lang.String,java.util.Set<java.lang.String>> poolManagedConnectionPools(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                            throws java.lang.Exception

      Pool to Managed Connection Pools mapping
      Parameters:
        `data` - The data
      Returns:
        The mapping
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### tocConnections

          public static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> tocConnections(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                                     throws java.lang.Exception

      ToC: Connections
      Parameters:
        `data` - The data
      Returns:
        The events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### tocManagedConnections

          public static java.util.Map<java.lang.String,org.jboss.jca.core.tracer.TraceEvent> tocManagedConnections(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                            throws java.lang.Exception

      ToC: Managed connections
      Parameters:
        `data` - The data
      Returns:
        The events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### tocConnectionListeners

          public static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> tocConnectionListeners(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                                             throws java.lang.Exception

      ToC: Connection listeners
      Parameters:
        `data` - The data
      Returns:
        The events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### tocManagedConnectionPools

          public static java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> tocManagedConnectionPools(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data)
                                                                                                                                throws java.lang.Exception

      ToC: Managed Connection Pools
      Parameters:
        `data` - The data
      Returns:
        The events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### getEvents

          public static java.util.List<org.jboss.jca.core.tracer.TraceEvent> getEvents(java.io.FileReader fr,
                                                                                       java.io.File directory)
                                                                                throws java.lang.Exception

      Get the events
      Parameters:
        `fr` - The file reader
        `directory` - The directory
      Returns:
        The events
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### getStatus

          public static java.util.Map<java.lang.String,TraceEventStatus> getStatus(java.util.Map<java.lang.String,java.util.List<org.jboss.jca.core.tracer.TraceEvent>> input,
                                                                                   boolean ignoreDelist,
                                                                                   boolean ignoreTracking,
                                                                                   boolean ignoreIncomplete)

      Get status
      Parameters:
        `input` - The input
        `ignoreDelist` - Should DELIST be ignored
        `ignoreTracking` - Should TRACKING be ignored
        `ignoreIncomplete` - Ignore incomplete traces
      Returns:
        The overall result

    - #### getStatus

          public static TraceEventStatus getStatus(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data,
                                                   boolean ignoreDelist,
                                                   boolean ignoreTracking,
                                                   boolean ignoreIncomplete)

      Get status
      Parameters:
        `data` - The data
        `ignoreDelist` - Should DELIST be ignored
        `ignoreTracking` - Should TRACKING be ignored
        `ignoreIncomplete` - Ignore incomplete traces
      Returns:
        The status

    - #### mergeStatus

          public static TraceEventStatus mergeStatus(java.util.Collection<TraceEventStatus> data)

      Get status
      Parameters:
        `data` - The data
      Returns:
        The status

    - #### isStartState

          public static boolean isStartState(org.jboss.jca.core.tracer.TraceEvent te)

      Is start state
      Parameters:
        `te` - The event
      Returns:
        The value

    - #### isEndState

          public static boolean isEndState(org.jboss.jca.core.tracer.TraceEvent te)

      Is end state
      Parameters:
        `te` - The event
      Returns:
        The value

    - #### isRed

          public static boolean isRed(org.jboss.jca.core.tracer.TraceEvent te)

      Is red
      Parameters:
        `te` - The event
      Returns:
        The value

    - #### isYellow

          public static boolean isYellow(org.jboss.jca.core.tracer.TraceEvent te)

      Is yellow
      Parameters:
        `te` - The event
      Returns:
        The value

    - #### getPoolData

          public static java.util.Map<java.lang.String,java.util.List<Interaction>> getPoolData(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data,
                                                                                                boolean ignoreDelist,
                                                                                                boolean ignoreTracking,
                                                                                                boolean ignoreIncomplete)

      Get the structured pool data
      Parameters:
        `data` - The data
        `ignoreDelist` - Should DELIST be ignored
        `ignoreTracking` - Should TRACKING be ignored
        `ignoreIncomplete` - Ignore incomplete traces
      Returns:
        The result

    - #### getConnectionListenerData

          public static java.util.Map<java.lang.String,java.util.List<Interaction>> getConnectionListenerData(java.util.List<Interaction> data)

      Get a connection listener map
      Parameters:
        `data` - The data
      Returns:
        The result

    - #### getTransactionData

          public static java.util.Map<java.lang.String,java.util.List<Interaction>> getTransactionData(java.util.List<Interaction> data)

      Get a transaction map
      Parameters:
        `data` - The data
      Returns:
        The result

    - #### hasException

          public static boolean hasException(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events)

      Has an exception event
      Parameters:
        `events` - The events
      Returns:
        True if there is an exception

    - #### exceptionDescription

          public static java.lang.String exceptionDescription(java.lang.String encoded)

      Get exception description
      Parameters:
        `encoded` - The encoded string
      Returns:
        The string

    - #### prettyPrint

          public static java.lang.String prettyPrint(org.jboss.jca.core.tracer.TraceEvent te)

      Pretty print event
      Parameters:
        `te` - The event
      Returns:
        The string

    - #### getVersion

          public static org.jboss.jca.core.tracer.TraceEvent getVersion(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events)

      Get the version
      Parameters:
        `events` - The events
      Returns:
        The version information

    - #### getCCMStatus

          public static TraceEventStatus getCCMStatus(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data,
                                                      boolean ignoreIncomplete)

      Get CCM pool status
      Parameters:
        `data` - The data
        `ignoreIncomplete` - Ignore incomplete stacks
      Returns:
        The status

    - #### getCCMPoolStatus

          public static TraceEventStatus getCCMPoolStatus(java.util.List<org.jboss.jca.core.tracer.TraceEvent> data,
                                                          boolean ignoreIncomplete)

      Get CCM pool status
      Parameters:
        `data` - The data
        `ignoreIncomplete` - Ignore incomplete stacks
      Returns:
        The status

    - #### getType

          public static org.jboss.jca.core.tracer.TraceEvent getType(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events,
                                                                     int... types)

      Get a specific event type
      Parameters:
        `events` - The events
        `types` - The types
      Returns:
        The first event type found; otherwise `null` if none

    - #### getType

          public static org.jboss.jca.core.tracer.TraceEvent getType(java.util.List<org.jboss.jca.core.tracer.TraceEvent> events,
                                                                     java.lang.String identifier,
                                                                     int... types)

      Get a specific event type
      Parameters:
        `events` - The events
        `identifier` - The connection listener
        `types` - The types
      Returns:
        The first event type found; otherwise `null` if none

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)